export declare const WGSLCanvasShaderVertex = "\nstruct VertexInput {\n  @builtin(vertex_index) vertex_index: u32,\n}\n\nstruct VertexOutput {\n  @builtin(position) position: vec4<f32>,\n  @location(0) coord: vec2<f32>,\n}\n\n@vertex\nfn vertex_main(input: VertexInput) -> VertexOutput {\n  var output: VertexOutput;\n  var vertices = array<vec2<f32>, 3>(\n    // https://webgpufundamentals.org/webgpu/lessons/webgpu-large-triangle-to-cover-clip-space.html\n    vec2<f32>(-1.0, -1.0),\n    vec2<f32>( 3.0, -1.0),\n    vec2<f32>(-1.0,  3.0),\n  );\n  output.coord = vertices[input.vertex_index];\n  output.position = vec4<f32>(output.coord, 0.0, 1.0);\n  return output;\n}\n";
